Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009750Dwarf FortressDwarf Mode -- Jobs, Generalpublic2016-05-13 11:432016-05-21 14:12
ReporterVoker57 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86OSdebianOS Versionsid
Product Version0.43.02 
Target VersionFixed in Version0.43.03 
Summary0009750: Custom metal items requested via manager result in coal items
DescriptionIf any non-dwarf who is fortress citizen gets a job that involves forge (even magma one) the following happens:

Goblin Goblinsson cancels Make billon Figurine: Needs 1 refined coal.

That happens even if refined coal is available.
Steps To ReproduceGet non-dwarf citizen
Assign metalsmithing/crafting/weapon/armor to them
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0009777resolvedDwarfu Forging Large Copper Helm creates Large Coal Helm 

-  Notes
(0035158)
Voker57 (reporter)
2016-05-13 12:03

Actually, dwarves who joined the fortress via petitioning fail too.
(0035160)
Voker57 (reporter)
2016-05-13 13:47

Further investigation showed that in fact citizens are making the crafts purely from coal and running out of it fast. If all coal is forbidden, they make crafts of proper metal.
(0035161)
Dwarfu (manager)
2016-05-13 14:10

Reminder sent to: Voker57

Compress (.zip) your DF/data/save/region folder, upload it to the file depot (http://dffd.bay12games.com/ [^]), and post a link to it in the bug report.
(0035166)
Voker57 (reporter)
2016-05-14 15:38

http://dffd.bay12games.com/file.php?id=12032 [^]

Load this save and watch Likot Alnisal├ąth, Blacksmith make the statue out of pure charcoal
(0035172)
Voker57 (reporter)
2016-05-15 04:45

Further study revealed that in fact problem appears to only manifest when metal items are requested via manager with custom details, and is not related to citizenship.
(0035238)
Dwarfu (manager)
2016-05-19 18:33
edited on: 2016-05-19 21:58

I play a human fort and had a dwarf merc settle in. When I made her a full suit of dwarf-sized iron gear, it resulted in gear made of charcoal.

Edit: If you check the default conditions for reagents, it is automatically adding charcoal as a requirement. This doesn't seem to be taking magma forges into consideration.

Edit2: You can work around this by adding the order directly to the magma forge and it completes fine.


- Issue History
Date Modified Username Field Change
2016-05-13 11:43 Voker57 New Issue
2016-05-13 12:03 Voker57 Note Added: 0035158
2016-05-13 13:47 Voker57 Note Added: 0035160
2016-05-13 14:10 Dwarfu Note Added: 0035161
2016-05-13 14:10 Dwarfu Assigned To => Dwarfu
2016-05-13 14:10 Dwarfu Status new => needs feedback
2016-05-14 15:38 Voker57 Note Added: 0035166
2016-05-14 15:38 Voker57 Status needs feedback => assigned
2016-05-15 04:45 Voker57 Note Added: 0035172
2016-05-19 18:32 Dwarfu Summary Non-dwarves fail to use forge => Custom metal items requested via manager result in coal items if coal is available
2016-05-19 18:32 Dwarfu Status assigned => confirmed
2016-05-19 18:33 Dwarfu Note Added: 0035238
2016-05-19 18:34 Dwarfu Note Edited: 0035238 View Revisions
2016-05-19 21:33 Dwarfu Note Edited: 0035238 View Revisions
2016-05-19 21:58 Dwarfu Note Edited: 0035238 View Revisions
2016-05-20 22:49 Dwarfu Relationship added has duplicate 0009777
2016-05-20 22:50 Dwarfu Summary Custom metal items requested via manager result in coal items if coal is available => Custom metal items requested via manager result in coal items
2016-05-21 14:12 Toady One Status confirmed => resolved
2016-05-21 14:12 Toady One Fixed in Version => Next Version
2016-05-21 14:12 Toady One Resolution open => fixed
2016-05-21 14:12 Toady One Assigned To Dwarfu => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker